<div class="character-count-component" [ngClass]="{ 'limit-exceed': currentCount >= limit }">
  <span class="helper-text" *ngIf="helperText">{{ helperText }}</span> Character Count: <span class="count">{{ currentCount }}/{{ maxCount }}</span>
</div>
